Bug 57133 - lpr will not print anything. pdfs, web pages, text.
lpr will not print anything. pdfs, web pages, text.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-05 11:50 EST by John Nelson
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 12:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Nelson 2001-12-05 11:50:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
lpr -P B018laser hi
lpr: connect: Connection refused
jobs queued, but cannot start daemon.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.service lpd restart
2.service lpd stop, service lpd start

3.even rebooted the machine
	

Actual Results:  lpr -P B018laser hi
lpr: connect: Connection refused
jobs queued, but cannot start daemon.

Expected Results:  It should have printed my test page.



Additional info:

 rpm -qi lpr
Name        : lpr                          Relocations: (not relocateable)
Version     : 0.50.5                            Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Wed 07 Nov 2001
05:47:11 PM EST
Install date: Fri 09 Nov 2001 03:13:37 PM EST      Build Host:
porky.devel.redhat.com
Group       : System Environment/Daemons    Source RPM: lpr-0.50.5-1.src.rpm
Size        : 221968                           License: distributable
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : A utility that manages print jobs.
Description :
The lpr package provides the basic system utility for managing
printing services.  Lpr manages print queues, sends print jobs to
local and remote printers and accepts print jobs from remote clients.

If you will be printing from your system, you'll need to install the
lpr package.

My Printcap file.
 more /etc/printcap
# /etc/printcap
#
# Please don't edit this file directly unless you know what you are doing!
# Be warned that the control-panel printtool requires a very strict format!
# Look at the printcap(5) man page for more info.
#
# This file can be edited with the printtool in the control-panel.

##PRINTTOOL3## REMOTE laserjet 300x300 letter {} LaserJet Default {}
S227laser:\
	:sd=/var/spool/lpd/S227laser:\
	:mx#0:\
	:sh:\
	:rm=146.139.245.83:\
	:rp=146.139.245.83:\
	:if=/usr/lib/rhs/rhs-printfilters//master-filter:
##PRINTTOOL3## REMOTE laserjet 300x300 letter {} LaserJet Default {}
color-laser:\
	:sd=/var/spool/lpd/color-laser:\
	:mx#0:\
	:sh:\
	:rm=color-laser.msd.anl.gov:\
	:rp=color-laser.msd.anl.gov:\
	:if=/usr/lib/rhs/rhs-printfilters//master-filter:
##PRINTTOOL3## REMOTE laserjet 300x300 letter {} LaserJet Default {}
D102laser:\
	:sd=/var/spool/lpd/D102laser:\
	:mx#0:\
	:sh:\
	:rm=146.139.245.82:\
	:rp=146.139.245.82:\
	:if=/usr/lib/rhs/rhs-printfilters//master-filter:
##PRINTTOOL3## REMOTE lj4dith 600x600 letter {} LaserJet4dither Default {}
B018laser:\
	:sd=/var/spool/lpd/B018laser:\
	:mx#0:\
	:sh:\
	:rm=146.136.245.88:\
	:rp=146.136.245.88:\
	:if=/usr/lib/rhs/rhs-printfilters//master-filter:


Output from ps -ef | grep lpd 
ps -ef | grep lpd
root      1340     1  0 10:45 ?        00:00:00 lpd
root      1443  1340  0 10:47 ?        00:00:00 lpd
Comment 1 Tim Waugh 2002-01-10 07:13:08 EST
What's in /etc/printcap?
Comment 2 Tim Waugh 2005-09-16 12:02:08 EDT
We no longer ship LPRng.

Note You need to log in before you can comment on or make changes to this bug.